<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.ee.service.default-bindings" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="context-service,datasource,jms-connection-factory,managed-executor-service,managed-scheduled-executor-service,managed-thread-factory"/>
        <elem name="addr-params" value="profile,subsystem,service"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ee"/>
    </annotation>
    <refs>
        <ref feature="subsystem.ee"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="managed-thread-factory" nillable="true" stability="default"/>
        <param name="context-service" nillable="true" stability="default"/>
        <param name="managed-executor-service" nillable="true" stability="default"/>
        <param name="service" feature-id="true" default="default-bindings"/>
        <param name="datasource" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="ee"/>
        <param name="managed-scheduled-executor-service" nillable="true" stability="default"/>
        <param name="jms-connection-factory" nillable="true" stability="default"/>
    </params>
</feature-spec>